Create Payout Group
curl --request POST \
--url https://api.paxos.com/v2/rewards/payout-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ledger": "<string>",
"asset_type": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"claimer_address": "<string>",
"schedule": {
"days_of_week": [
123
],
"days_of_month": [
123
],
"hour": 123,
"minute": 123
}
}
'import requests
url = "https://api.paxos.com/v2/rewards/payout-groups"
payload = {
"ledger": "<string>",
"asset_type": "<string>",
"jurisdiction": "<string>",
"name": "<string>",
"claimer_address": "<string>",
"schedule": {
"days_of_week": [123],
"days_of_month": [123],
"hour": 123,
"minute": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ledger: '<string>',
asset_type: '<string>',
jurisdiction: '<string>',
name: '<string>',
claimer_address: '<string>',
schedule: {days_of_week: [123], days_of_month: [123], hour: 123, minute: 123}
})
};
fetch('https://api.paxos.com/v2/rewards/payout-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": {
"id": "<string>",
"ledger": "<string>",
"asset_type": "<string>",
"rate_id": "<string>",
"jurisdiction": "<string>",
"claimer_address": "<string>",
"balance": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"manager_address": "<string>",
"destination_address": "<string>",
"onchain_group_id": "<string>",
"balance_at": "2023-11-07T05:31:56Z",
"last_claim_all_at": "2023-11-07T05:31:56Z"
}
}Payout Groups
Create Payout Group
Adds a payout group. A payout group encapsulates common rewards characteristics. All monitored addresses which reference this payout group will accumulate rewards at the same rate and claim their rewards to the payout destination specified for this group.
POST
/
rewards
/
payout-groups
Create Payout Group
OAuth Scope
rewards:create_payout_groups
Authorizations
OAuth2OAuth2
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
application/json
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I